Pix Automatic (Recurrence)
Get scheduled payment by instruction ID
Retrieves a specific scheduled payment by its instruction ID.
GET
/
v1.1
/
pix-automatic
/
scheduled-payments
/
{instructionId}
Get scheduled payment by instruction ID
curl --request GET \
--url https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments/{instructionId} \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments/{instructionId}"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments/{instructionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"paymentSchedule": {
"id": 12,
"instructionId": "000000000000000000000215832344",
"status": "CANCELLED",
"dueDate": "2025-06-19 03:00:00",
"amount": 11,
"endToEnd": "E2868389220250619150000215832384",
"rejectionCode": "SLCR",
"rejectionReason": "1",
"creation": "2025-06-16 07:16:45"
},
"authorization": {
"id": 26,
"idRec": "RR286838922025061604150842631",
"initialDate": "2025-06-19",
"finalDate": "2025-12-15",
"creation": "2025-06-16 07:16:42"
},
"sale": {
"id": 215832384,
"uuid": "16a5e040-8b55-4dbe-8563-035d2876a766",
"situation": "CANCELLED"
}
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "scheduled payment not found",
"errorCount": 1,
"errors": [
{
"field": "instructionId",
"message": "non-existent scheduled payment"
}
]
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Path Parameters
Instruction ID of the scheduled payment.
⌘I
Get scheduled payment by instruction ID

